.TH unix_telnet 3 "common_test  1.4.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
unix_telnet \- Callback module for ct_telnet for talking telnet to a unix host\&.
.SH DESCRIPTION
.LP
Callback module for ct_telnet for talking telnet to a unix host\&.
.LP
It requires the following entry in the config file:

.nf
   {unix,[{telnet,HostNameOrIpAddress},
          {port,PortNum},
          {username,UserName},
          {password,Password}]}\&.
   
.fi
.LP
To talk telnet to the host specified by \fIHostNameOrIpAddress\fR, use the interface functions in \fIct\fR, e\&.g\&. \fIopen(Name), cmd(Name, Cmd), \&.\&.\&.\fR\&.
.LP
\fIName\fR is the name you allocated to the unix host in your \fIrequire\fR statement\&. E\&.g\&.

.nf
   suite() -> [{require,Name,{unix,[telnet,username,password]}}]\&.
.fi
.LP
or

.nf
   ct:require(Name,{unix,[telnet,username,password]})\&.
.fi
.LP
Note that the \fI{port, PortNum}\fR tuple is optional and if omitted, default telnet port 23 will be used\&.

.SH SEE ALSO
.LP
ct, ct_telnet
